;= @echo off
;= rem Call DOSKEY and use this file as the macrofile
;= %SystemRoot%\system32\doskey /listsize=1000 /macrofile=%0%
;= rem In batch mode, jump to the end of the file
;= goto:eof

;= rem general
e.=explorer .
..=cd ..
ls=ls --show-control-chars -F --color $*
pwd=cd
clear=cls
unalias=alias /d $1
cmderr=cd /d "%CMDER_ROOT%"
home=cd /d %USERPROFILE%
~=cd /d %USERPROFILE%
devr=cd /d "%DEV_PATH%"
ncr=cd /d "%NC_PATH%"

;= rem apps
notes=cd /d "%NC_PATH%\Notes"

;= rem top-level repos
repos=cd /d "%DEV_PATH%\repos"
blogs=cd /d "%DEV_PATH%\repos\blogs"
docs=cd /d "%DEV_PATH%\repos\docs"
sources=cd /d "%DEV_PATH%\repos\sources"
support=cd /d "%DEV_PATH%\repos\support"
workspaces=cd /d "%DEV_PATH%\workspaces"

;= rem Jellyfin Dev
jcu=cd /d "%DEV_PATH%\repos\sources\jellyfin-client-uwp"
jfw=cd /d "%DEV_PATH%\repos\sources\jellyfin-web"
jf=cd /d "%DEV_PATH%\repos\sources\jellyfin"
jfrun=dotnet run --project Jellyfin.Server --webdir "%DEV_PATH%\repos\sources\jellyfin-web\dist"

;= rem support ticket repos
tix-ajax=cd /d "%DEV_PATH%\repos\support\ui-for-aspnet-ajax"
tix-blazor=cd /d "%DEV_PATH%\repos\support\ui-for-blazor"
tix-core=cd /d "%DEV_PATH%\repos\support\ui-for-aspnet-core"
tix-fiddler=cd /d "%DEV_PATH%\repos\support\fiddler"
tix-mvc=cd /d "%DEV_PATH%\repos\support\ui-for-aspnet-mvc"
tix-rprt=cd /d "%DEV_PATH%\repos\support\reporting"
tix-rprt-srvr=cd /d "%DEV_PATH%\repos\support\report-server"
tix-xamarin=cd /d "%DEV_PATH%\repos\support\ui-for-xamarin"
tix-wpf=cd /d "%DEV_PATH%\repos\support\ui-for-wpf"
tix-jquery=cd /d "%DEV_PATH%\repos\support\ui-for-jquery"
tix-winforms=cd /d "%DEV_PATH%\repos\support\ui-for-winforms"

;= rem docs editing
docs-ajax=cd /d "%DEV_PATH%\repos\docs\ajax-docs"
docs-blazor=cd /d "%DEV_PATH%\repos\docs\blazor-docs"
docs-seed=cd /d "%DEV_PATH%\repos\docs\docs-seed"
docs-fiddler-core=cd /d "%DEV_PATH%\repos\docs\fiddler-core-docs"
docs-fiddler=cd /d "%DEV_PATH%\repos\docs\fiddler-docs"
docs-fiddler-everywhere=cd /d "%DEV_PATH%\repos\docs\fiddler-everywhere-docs"
docs-rprt=cd /d "%DEV_PATH%\repos\docs\reporting-docs"
docs-rprt-srvr=cd /d "%DEV_PATH%\repos\docs\report-server-docs"

;= rem dev shortcuts
prgsb=cd /d "%DEV_PATH%\repos\blogs\prgsb"
prgsb-src=cd /d "%DEV_PATH%\repos\blogs\prgsb-source"
msa=cd /d "%DEV_PATH%\repos\sources\msaliases"
pb=cd /d "%DEV_PATH%\repos\blogs\ericrohler_static"
stpc=cd /d "%DEV_PATH%\repos\sources\SupportTicketProjectCreator"
fp-ajax=cd /d "%DEV_PATH%\repos\sources\FinalProject"
fp-blazor=cd /d "%DEV_PATH%\repos\sources\FinalProject-Blazor"
fec=cd /d "%DEV_PATH%\repos\sources\Aegis\fec"
fec-ui=cd /d "%DEV_PATH%\repos\sources\Aegis\fec-ui"
oslanding=cd /d "%DEV_PATH%\repos\sources\Onside\LandingPage"
osprocanna=cd /d "%DEV_PATH%\repos\sources\Onside\ProCanna"

;= rem git shortcuts
gs=git status
ga=git add
gaa=git add -A
gc=git commit --message $*
gca=git commit --all --message $*
gcam=git commit --amend --message $*
gcamne=git commit --amend --no-edit
gb=git branch
gbl= git branch -l
gbd=git branch -d $*
gco=git checkout $*
gcob=git checkout -b $*
gl=git log
gladog=git log --graph --oneline --all --decorate
gd=git diff
gds=git diff --staged
gdt=git difftool
gdts=git difftool --staged
gps=git push
gpl=git pull
gf=git fetch
gfp=git fetch --prune